=== modified file 'trunk/ObjConv/objtojson.c'
--- trunk/ObjConv/objtojson.c	2013-03-28 13:56:54 +0000
+++ trunk/ObjConv/objtojson.c	2013-03-28 14:32:10 +0000
@@ -18,7 +18,7 @@
 		readpos++;
 
 		// -1 to compensate for wavefront file starting on 1 and not 0
-		if (i == 0){
+		if(i == 0) {
 			varray[position] = atoi(workstr) - 1;
 		} else if((i == 1) && (hasuv > 0)) {
 			tarray[position] = atoi(workstr) - 1;
@@ -55,7 +55,7 @@
 	float *normallist;
 	int *trianglelist;
 	int *quadlist;
-	char *resultp1,*resultp2,*resultp3,*resultp4,*resultp5;
+	char *resultp1, *resultp2, *resultp3, *resultp4, *resultp5;
 
 	if(pFile) {
 		printf("Msg: Success opening: %s!\n", objfilename);
@@ -63,24 +63,24 @@
 			if(buf[0] == '#') {
 				// Comment - Do Nothing
 			} else {
-				result=strtok(buf," \n\t");
-				if(result!=NULL) {
-					if(strcmp(result, "v") ==0) {
+				result = strtok(buf, " \n\t");
+				if(result != NULL) {
+					if(strcmp(result, "v") == 0) {
 						if(foundobj) {
 							//Increase vertex counter
 							vertcount++;
 						}
-					} else if(strcmp(result, "vt") ==0) {
+					} else if(strcmp(result, "vt") == 0) {
 						if(foundobj) {
 							// Increase texture coordinate counter
 							texturecount++;
 						}
-					} else if(strcmp(result, "vn") ==0) {
+					} else if(strcmp(result, "vn") == 0) {
 						if(foundobj) {
 							// Increase normal counter
 							normalcount++;
 						}
-					} else if(strcmp(result, "f") ==0) {
+					} else if(strcmp(result, "f") == 0) {
 						if(foundobj) {
 							// Increase face counter
 							facecount++;
@@ -119,15 +119,15 @@
 		if(((trianglecount + quadcount) > 0)) {
 			// Set foundobj to true if we are loading all objects
 			if(strcmp(openobj, "ALL")) {
-				foundobj=1;
+				foundobj = 1;
 			}
 
 			// Seek to beginning again
 			fseek(pFile, 0, SEEK_SET);
 
 			// Allocate local buffers
-			float *localvertexlist =(float *) malloc (sizeof(float) * vertcount * 3);
-			float *localnormallist =(float *) malloc (sizeof(float) * normalcount * 3);
+			float *localvertexlist = (float *) malloc (sizeof(float) * vertcount * 3);
+			float *localnormallist = (float *) malloc (sizeof(float) * normalcount * 3);
 			float *localuvlist = (float *) malloc (sizeof(float) * texturecount * 2);
 			int *localquadlist = (int *) malloc (sizeof(int) * quadcount * 4);
 			int *localquadlistuv = (int *) malloc (sizeof(int) * quadcount * 4);
@@ -137,11 +137,11 @@
 			int *localtrianglelistnormal = (int *) malloc (sizeof(int) * trianglecount * 3);
 
 			// Reset counters for second pass
-			trianglecount=0;
-			quadcount=0;
-			normalcount=0;
-			vertcount=0;
-			texturecount=0;
+			trianglecount = 0;
+			quadcount = 0;
+			normalcount = 0;
+			vertcount = 0;
+			texturecount = 0;
 
 			while(fgets(buf, 1024, pFile) != NULL) {
 				if(buf[0] == '#') {
@@ -149,7 +149,7 @@
 				} else {
 					result = strtok(buf, " \n\t");
 					if(result != NULL) {
-						if(strcmp(result, "v") ==0) {
+						if(strcmp(result, "v") == 0) {
 							if(foundobj) {
 								result = strtok(NULL, " \n\t");
 								localvertexlist[(vertcount * 3)] = atof(result);
@@ -159,7 +159,7 @@
 								localvertexlist[(vertcount * 3) + 2] = atof(result);
 								vertcount++;
 							}
-						} else if(strcmp(result, "vt") ==0) {
+						} else if(strcmp(result, "vt") == 0) {
 							if(foundobj) {
 								result = strtok(NULL, " \n\t");
 								localuvlist[(texturecount * 2)] = atof(result);
@@ -167,7 +167,7 @@
 								localuvlist[(texturecount * 2) + 1] = atof(result);
 								texturecount++;
 							}
-						} else if(strcmp(result, "vn") ==0) {
+						} else if(strcmp(result, "vn") == 0) {
 							if(foundobj) {
 								result = strtok(NULL, " \n\t");
 								localnormallist[(normalcount * 3)] = atof(result);
@@ -177,7 +177,7 @@
 								localnormallist[(normalcount * 3) + 2] = atof(result);
 								normalcount++;
 							}
-						} else if(strcmp(result, "f") ==0) {
+						} else if(strcmp(result, "f") == 0) {
 							if(foundobj) {
 								resultp1 = strtok(NULL, " \n\t");
 								resultp2 = strtok(NULL, " \n\t");
@@ -202,14 +202,14 @@
 						} else if(strcmp(result, "g") == 0) {
 							if(result = strtok(NULL, " \n\t")) {
 								if(!strcmp(openobj, result)) {
-									foundobj=1;
+									foundobj = 1;
 								}
 							}
 						}
 					}
 				}
 			}
-			int i=0;
+			int i = 0;
 			// Allocate buffers
 			vertexlist = (float *) malloc (sizeof(float) * vertcount * 3);
 			normallist = (float *) malloc (sizeof(float) * vertcount * 3);

